Subject: bug#13580: 24.2.92; regression in calc-convert-units

From: Jay Belanger <[email-masked]>
Date: Mon, 28 Jan 2013 20:55:31 -0600

Also, what's happening here is that since the units all cancel in the
given expression, Calc simply returns the expression, with the units
simplified.  (That it doesn't properly simplify that particular
expression is a bug to be fixed, but it isn't a regression.)

The given example should probably be handled like an expression
which has no units (either simply simplify it or prompt for "Old units"
and "New units").  The Emacs 23 behavior, where new units were
prompted for but essentially ignored, doesn't seem right.
The overall fix depends on a non-regression fix (otherwise, it is
replacing one wrong behavior for another).  I'll make the fix in the
trunk when I get to a computer I can commit from, but I don't know if
the old behavior should be put back into the emacs-24 branch.